searchData={"items":[{"type":"module","title":"TaxJar","doc":"Interact with TaxJar's API.","ref":"TaxJar.html"},{"type":"module","title":"Configuration - TaxJar","doc":"To be able to use this successfully you need to configure the required values.\n\n- `:api_key` - The API auth key for your account.\n- `:api_url` - (Optional) If you want to override the default url for the current env.\n- `:api_version` - Must be a valid TaxJar API version. Default is `\"2022-01-24\"`.\n- `:mode` - (Optional) You can explicitly specify the mode as `:production` or `:sandbox`. The default is `:sandbox`. This will also control which url is used.","ref":"TaxJar.html#module-configuration"},{"type":"function","title":"TaxJar.fetch_env!/1","doc":"","ref":"TaxJar.html#fetch_env!/1"},{"type":"function","title":"TaxJar.get_api_key/0","doc":"","ref":"TaxJar.html#get_api_key/0"},{"type":"function","title":"TaxJar.get_api_url/0","doc":"","ref":"TaxJar.html#get_api_url/0"},{"type":"function","title":"TaxJar.get_api_version/0","doc":"","ref":"TaxJar.html#get_api_version/0"},{"type":"function","title":"TaxJar.get_env/2","doc":"","ref":"TaxJar.html#get_env/2"},{"type":"function","title":"TaxJar.get_mode/0","doc":"","ref":"TaxJar.html#get_mode/0"},{"type":"function","title":"TaxJar.get_sales_tax_for_order/1","doc":"","ref":"TaxJar.html#get_sales_tax_for_order/1"},{"type":"function","title":"TaxJar.put_env/3","doc":"","ref":"TaxJar.html#put_env/3"},{"type":"module","title":"TaxJar.Requests","doc":"","ref":"TaxJar.Requests.html"},{"type":"function","title":"TaxJar.Requests.get_sales_tax_for_order/1","doc":"","ref":"TaxJar.Requests.html#get_sales_tax_for_order/1"},{"type":"module","title":"TaxJar.Requests.Client","doc":"HTTP Client for the TaxJar API.","ref":"TaxJar.Requests.Client.html"},{"type":"module","title":"Configuration - TaxJar.Requests.Client","doc":"The following are relied on to make calls to the TaxJar API.\n\n- `:api_key` - Must be a valid TaxJar API auth key for your account.\n- `:api_url` - (Optional) If you want to override the default url for the current env.\n- `:api_version` - Must be a valid TaxJar API version. Default is `\"2022-01-24\"`.","ref":"TaxJar.Requests.Client.html#module-configuration"},{"type":"function","title":"TaxJar.Requests.Client.post/3","doc":"Perform a POST request to the API using the given payload.\n\nWhen successful the response body will be decoded into a map which is returned.","ref":"TaxJar.Requests.Client.html#post/3"},{"type":"function","title":"Options - TaxJar.Requests.Client.post/3","doc":"Options are passed to `:hackney.request/5`.","ref":"TaxJar.Requests.Client.html#post/3-options"},{"type":"function","title":"TaxJar.Requests.Client.request/4","doc":"Perform an HTTP request using the given method, path and body. Options are passed directly\nto `:hackney.request/5`.","ref":"TaxJar.Requests.Client.html#request/4"},{"type":"module","title":"TaxJar.Requests.Error","doc":"Context for representing an error response from the TaxJar API.","ref":"TaxJar.Requests.Error.html"},{"type":"function","title":"TaxJar.Requests.Error.new/1","doc":"Build a new `Error` struct from the given reason.\n\nThis is expected when the connection isn't successful.","ref":"TaxJar.Requests.Error.html#new/1"},{"type":"function","title":"TaxJar.Requests.Error.new/2","doc":"Build a new `Error` struct from the given JSON response and code.\n\nIt's expected that the response is well formatted JSON.","ref":"TaxJar.Requests.Error.html#new/2"},{"type":"function","title":"TaxJar.Requests.Error.statuses/0","doc":"","ref":"TaxJar.Requests.Error.html#statuses/0"},{"type":"type","title":"TaxJar.Requests.Error.t/0","doc":"","ref":"TaxJar.Requests.Error.html#t:t/0"},{"type":"module","title":"TaxJar.Requests.Taxes","doc":"","ref":"TaxJar.Requests.Taxes.html"},{"type":"function","title":"TaxJar.Requests.Taxes.get_sales_tax_for_order/1","doc":"Request sales tax for the given order.\n\nThe API response is a map with the tax liability wrapped in a map with a single\nkey `\"tax\"`. This returns the content without the wrapper.\n\nSee [Sales Tax API](https://developers.taxjar.com/api/reference/#post-calculate-sales-tax-for-an-order)\nfor details.","ref":"TaxJar.Requests.Taxes.html#get_sales_tax_for_order/1"}],"content_type":"text/markdown"}